Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
Generate a model card from validation reports.
cURL
curl --request POST \ --url https://api.example.com/v1/model-cards \ --header 'Content-Type: application/json' \ --data ' { "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "report_ids": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "training_metadata": {} } '
import requestsurl = "https://api.example.com/v1/model-cards"payload = { "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "report_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"], "training_metadata": {}}headers = {"Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: JSON.stringify({ project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: '<string>', report_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'], training_metadata: {} })};fetch('https://api.example.com/v1/model-cards', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organization_id": "<string>", "name": "<string>", "card_json": {}, "report_ids": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "version": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "training_metadata": {} }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ]}
Successful Response